Skip to main content
GET
https://api.0xarchive.io
/
v1
/
hyperliquid
/
hip3
/
orderbook
/
{symbol}
/
l2
/
diffs
Get HIP-3 full-depth L2 order book diffs
curl --request GET \
  --url https://api.0xarchive.io/v1/hyperliquid/hip3/orderbook/{symbol}/l2/diffs \
  --header 'X-API-Key: <api-key>'
{
  "success": true,
  "data": [
    {
      "timestamp": "2026-06-05T13:53:33.971Z",
      "block_number": 1023882395,
      "side": "B",
      "price": 61088,
      "size": 0.40603,
      "count": 3
    }
  ],
  "meta": {
    "count": 123,
    "next_cursor": "<string>",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication. Get yours at https://www.0xarchive.io/dashboard/

Path Parameters

symbol
string
required

HIP-3 symbol (case-sensitive, e.g., hyna:BTC, km:US500)

Example:

"km:US500"

Query Parameters

start
integer<int64>

Start timestamp in Unix milliseconds. Defaults to 24h ago.

Example:

1767225600000

end
integer<int64>

End timestamp in Unix milliseconds. Defaults to now.

Example:

1767229200000

cursor
string

Cursor for pagination in timestamp_ms_block_number form from the previous response's next_cursor.

Example:

"1767225600000_1023882395"

limit
integer
default:100

Maximum number of diff events (default: 100, max: 1000)

Required range: x <= 1000

Response

Full-depth L2 diff events

success
boolean
Example:

true

data
object[]
meta
object

Response metadata

Last modified on June 11, 2026